דילוג לתוכן

Wan-2.1 Pro Image-to-Video

שילוב

מזהה מודל wan-pro/image-to-video
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/wan-pro/image-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

בקשה זו: ⁨‏0.80 ‏$⁩ 800 קרדיטי API הרצה בדף הזה

קבלת מפתח API
Alibaba תמונה לווידאו #image-to-video#motion

Wan 2.1 Pro מתמונה לווידאו, מנפיש תמונה אחת מהנחיה, עם שליטה בגרעין בלבד

נוצר ב-Doitong

יצירות ציבוריות שנוצרו עם Wan 2.1 על ידי קהילת Doitong. אפשר להשתמש מחדש בפרומפט בלחיצה אחת.

יצירות ציבוריות שמוצגות: 2
Create a realistic cinematic UGC-style commercial video, exactly 30 seconds long. The entire scen... ווידאו

Create a realistic cinematic UGC-style commercial video, exactly 30 seconds long. The entire scene takes place inside a modern passenger airplane during a daytime flight. Natural smartphone-like cinematography, realistic airplane cabin, authentic passengers, natural lighting, realistic skin...

Реалистичная бытовая сцена в советской одесской квартире зимним вечером. Женщина находится на кух... ווידאו

Реалистичная бытовая сцена в советской одесской квартире зимним вечером. Женщина находится на кухне, мужчина — в комнате и прихожей. Атмосфера обычной советской семьи перед приходом гостей. Голоса: все персонажи говорят по-русски с естественным, выразительным одесским говором. Характерная...

בנה בקשה

הפקדים נוצרים מסכמת המודל. הקוד והמחיר מתעדכנים כשמשנים אותם.

•חובה

ההנחיה המשמשת ליצירת וידאו.

•חובה image_url
גרור קובץ, או

URL של תמונת המקור המשמשת ליצירת וידאו.

מתקדם seed · enable_safety_checker

Seed שהופך את היצירה לניתנת לשחזור. הגדרתו ל-None בוחרת Seed באקראי.

POST /run/wan-pro/image-to-video?wait=20 הצעת מחיר → ⁨‏0.80 ‏$⁩
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/wan-pro/image-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

הרצת הבקשה הזו

המפתח שלך נשאר בדפדפן הזה: הוא נשלח רק אל Doitong API ונשמר ב-localStorage רק אם מסמנים זכור. קבל מפתח API

מידע על Wan-2.1 Pro Image-to-Video

מנפיש תמונת סטילס שסופקה כ־`image_url`, בהנחיית `prompt`. הפלט הוא קובץ וידאו. הקלטים הנוספים היחידים הם `seed` לשחזוריות ומתג בודק הבטיחות. אין אפשרויות רזולוציה או משך.

פרמטרים

שלח את השם הקנוני או את השם המקומי, לא את שניהם. שמות קנוניים

שםסוג ברירת מחדלמותר תיאור
promptחובה
סוגstring
ההנחיה המשמשת ליצירת וידאו.
seedאופציונלי
סוגinteger | null
Seed שהופך את היצירה לניתנת לשחזור. הגדרתו ל-None בוחרת Seed באקראי.
enable_safety_checkerאופציונלי
סוגboolean
ברירת מחדלtrue
קובע אם בודק הבטיחות מופעל.
image_urlחובה image
סוגurl · image
URL של תמונת המקור המשמשת ליצירת וידאו.
חובה שם קנוני, מתקבל גם הוא

פרמטרים של קבצים מקבלים URL ציבורי מסוג https://, כתובת URI מסוג data: בגודל של עד 10 MB, או את file_url של העלאה. קבצים

פלט

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "wan-pro/image-to-video",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 800,
    "usd": "0.80",
    "charged": 800,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
הקבצים שלכם, הבחירה שלכםכל outputs[].url הוא עותק באחסון שלנו: נשמר לצמיתות (בתשלום לפי GB-חודש) או למשך 7 ימים ללא תשלום, בהתאם להגדרת החשבון או ל־?storage=.
אותו מבנה בכל מודלtype, url, content_type, width, height ו-duration, עבור תמונות, וידאו ואודיו כאחד. output הוא אובייקט התוצאה של המודל עצמו.
שדות הפלט
video
object {url, content_type, file_name, file_size}וידאו שנוצר על ידי המודל.

מודלים נוספים: תמונה לווידאו

לסוכני AI: דף זה בפורמט Markdown נמצא בכתובת https://doitong.com/he/developers/models/wan-pro/image-to-video.md. כל המודלים והמדריכים: https://doitong.com/developers/llms.txt